Update Ivr Behavior#
Sets how an agent handles an IVR menu. behaviorType is required. Use staticPhrase with static, and additionalInstructions with smartV1.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
agent_idstringpathrequired
Public agent id from List Agents
behaviorTypestringbodyrequired
One of static, smartV1.
staticPhrasestringbody
Phrase used when behaviorType is static. May be null.
additionalInstructionsstringbody
Extra instructions when behaviorType is smartV1. May be null.
curl --request PATCH \
--url https://app.rizzdial.com/api/ai/agent/v2/manage/call-handling/ivr-behavior/agent_123 \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"behaviorType":"static","staticPhrase":"Press 1 for sales."}'successboolean
true when the settings are saved
messagestring
Short result message
dataobject
The saved settings